## org.apache.sling.extensions.threaddump.internal
Class ThreadDumpCommand

    java.lang.Object
      org.apache.sling.extensions.threaddump.internal.ThreadDumpCommand

All Implemented Interfaces:
  org.apache.felix.shell.Command

    public class ThreadDumpCommand

extends java.lang.Object
implements org.apache.felix.shell.Command

Constructor Summary
`ThreadDumpCommand()`

Method Summary
`void` `execute(java.lang.String command, java.io.PrintStream out, java.io.PrintStream err)`
`java.lang.String` `getName()`
`java.lang.String` `getShortDescription()`
`java.lang.String` `getUsage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadDumpCommand

    public ThreadDumpCommand()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.apache.felix.shell.Command`

### getShortDescription

    public java.lang.String getShortDescription()

  Specified by:
    `getShortDescription` in interface `org.apache.felix.shell.Command`

### getUsage

    public java.lang.String getUsage()

  Specified by:
    `getUsage` in interface `org.apache.felix.shell.Command`

### execute

    public void execute(java.lang.String command,
                        java.io.PrintStream out,
                        java.io.PrintStream err)

  Specified by:
    `execute` in interface `org.apache.felix.shell.Command`

Copyright © 2007-2012 The Apache Software Foundation. All Rights Reserved.